Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 882374 - Anaconda freezing in different cases
Summary: Anaconda freezing in different cases
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-30 19:36 UTC by Joergen Thomsen
Modified: 2013-03-26 19:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-26 19:07:11 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 867770 0 unspecified CLOSED anaconda GUI becomes unresponsive 2021-02-22 00:41:40 UTC

Internal Links: 867770

Description Joergen Thomsen 2012-11-30 19:36:48 UTC
Description of problem:

During the specification of storage I have experienced at least two different places where the program is just freezing:

1) 
selecting disks clicking Done
repeat storage: now disks are not big blue, but small and displaying (several instances of the same) black unit names
clicking done
repeat storage: now the screen is totally greyish with no contents. Eventually the system crashed just by being left alone.

2) selecting custom settings, after various selections, a non-responding screen is displayed with big blue disks, but not responding to any mouse clicks on anything e.g Full disk summary... or Error checking storage ... or Done

Version-Release number of selected component (if applicable):
18.29.2

How reproducible:
difficult to say

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Chris Lumens 2012-11-30 20:13:19 UTC
This is likely a dup of one of:  bug 880912, bug 875291, or bug 867770.

Comment 2 Joergen Thomsen 2012-11-30 20:55:55 UTC
See bug 882372 for uploaded log files from case 2)

Comment 3 Joergen Thomsen 2012-11-30 21:15:44 UTC
See also bug 882399

Comment 4 Chris Lumens 2013-01-07 17:13:31 UTC
Can you please retest with the latest tree and the updates image from https://bugzilla.redhat.com/show_bug.cgi?id=875291#c30 and let me know if you are still seeing problems?  Thanks.

Comment 5 Joergen Thomsen 2013-01-23 22:49:48 UTC
Happened again with the Fedora 18 Live Cd

Comment 6 Joergen Thomsen 2013-01-23 22:53:27 UTC
anaconda 18.37.11

Comment 7 Chris Lumens 2013-01-29 18:59:50 UTC
When you hit this problem, does pressing the escape button return the UI to sanity?

Comment 8 Joergen Thomsen 2013-02-06 21:52:07 UTC
I have seen suggestions about this, but it never worked for me.

Comment 9 Chris Lumens 2013-03-26 19:07:11 UTC
I think we have this fixed by a combination of factors:

(1) Disabling the lightboxes in custom partitioning.
(2) Fixing a locking problem with yum that would show up regardless of where you were in the installer.
(3) Some better use of decorators to mark methods that can be run in the GTK main loop.


Note You need to log in before you can comment on or make changes to this bug.